# Status Codes & Errors

The `AI Parser` returns standard HTTP status codes for every request. The table below lists each code, what it means and what to do next.

<table><thead><tr><th width="214.18511962890625">Code</th><th width="276.4815673828125">Meaning</th><th width="261.76214599609375">What to do</th></tr></thead><tbody><tr><td><code>200 OK</code></td><td>Success</td><td>N/A</td></tr><tr><td><code>202 Accepted</code></td><td>Request accepted, processing asynchronously</td><td>Poll <code>GET /parsers/&#x3C;PARSER_ID></code> until status <code>FINISED</code></td></tr><tr><td><code>204 No Content</code></td><td>Success, no response body (returned when <strong>deleting</strong> a parser)</td><td>N/A</td></tr><tr><td><code>400 Bad Request</code></td><td>Malformed JSON or missing required field</td><td>Check the request body. Ensure <code>api_key</code>, <code>name</code> and <code>urls</code> are present on <code>POST /parsers</code></td></tr><tr><td><code>401 Unauthorized</code></td><td>Invalid <code>api_key</code></td><td>Chek your API Key in the <a href="https://dashboard.scraperapi.com/home">dashboard</a></td></tr><tr><td><code>402 Payment Required</code></td><td>Credits exhausted</td><td>Upgrade your plan or <a href="https://dashboard.scraperapi.com/contact-support">contact support</a></td></tr><tr><td><code>404 Not Found</code></td><td><code>parser_id</code> doesn't exist</td><td>Verify the id with <code>GET /parsers</code></td></tr><tr><td><code>500 Internal Server Error</code></td><td>Extraction failed</td><td>Retry the request. Try adding <a href="/pages/u1uiJWhomIMzqF7f2egv#supported-scraperapi-parameters">additional parameters</a>. If extraction keeps failing, <a href="https://dashboard.scraperapi.com/contact-support">contact support</a></td></tr><tr><td></td><td></td><td></td></tr></tbody></table>

***

Separate from the HTTP statis codes, here are the possible values for the `status` field returned by `GET /parsers/<PARSER_ID>`

<table><thead><tr><th width="359.6666259765625">Status</th><th>Meaning</th></tr></thead><tbody><tr><td><code>GENERATING</code></td><td>The parser is being generated. Parsing <strong>won't</strong> work yet</td></tr><tr><td><code>FINISHED</code></td><td>Parser is ready to use</td></tr><tr><td><code>FAILED</code></td><td>Generation failed. Check <code>error</code> field for details</td></tr></tbody></table>

{% hint style="info" %}
Here are some  common causes for  `status: "FAILED"`&#x20;

* Example URLs were inaccessible or blocked
* Example URLs were from a different URL Type (category, product, search, etc.)
* The domain may require JS Rendering and `render=true` was not set inside `scraper_params`
  {% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.scraperapi.com/ai-parser/status-codes-and-errors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
